/*
Copyright 2010-2012 Sergey Levin


This file is part of crosti.

Crosti is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Crosti is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with crosti.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef CVIEWPORTWATCHER_H
#define CVIEWPORTWATCHER_H


#include <QObject>
#include <QRectF>


class QScrollArea;


class CViewPortWatcher:public QObject
{
    Q_OBJECT

    QScrollArea *ScrollArea;
    QRectF SceneRect;
    qreal Scale;

public:
    CViewPortWatcher(QScrollArea *scrollArea, QObject * parent = 0);
    void setSceneRect(const QRectF &rect);

signals:
    void visibleRectChanged(const QRectF&);

public slots:
    void viewPortChanged();
    void setScale(qreal scl);
};



#endif // CVIEWPORTWATCHER_H
